> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 404

> Reference for Stytch API Not Found errors

## billing\_info\_not\_found

404 **Billing info not found**

Billing info could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "billing_info_not_found",
  "error_message": "Billing info could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#billing_info_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## biometric\_registration\_not\_found

404 **Biometric registration not found**

Biometric registration could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "biometric_registration_not_found",
  "error_message": "Biometric registration could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#biometric_registration_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## captcha\_provider\_not\_found

404 **Captcha provider not found**

Captcha Provider config could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "captcha_provider_not_found",
  "error_message": "Captcha Provider config could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#captcha_provider_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## cname\_record\_not\_found

404 **Cname record not found**

Could not find cname record using the values provided.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "cname_record_not_found",
  "error_message": "Could not find cname record using the values provided.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#cname_record_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## connected\_app\_not\_found

404 **Connected app not found**

The Connected App requested could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "connected_app_not_found",
  "error_message": "The Connected App requested could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#connected_app_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## crypto\_wallet\_not\_found

404 **Crypto wallet not found**

Crypto wallet could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "crypto_wallet_not_found",
  "error_message": "Crypto wallet could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#crypto_wallet_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## default\_provider\_not\_allowed

404 **Default provider not allowed**

The Stytch Default OAuth Provider is not compatible with this feature, which requires additional configuration for your project. Please configure your own OAuth provider in the dashboard at [https://stytch.com/dashboard/oauth](https://stytch.com/dashboard/oauth).

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "default_provider_not_allowed",
  "error_message": "The Stytch Default OAuth Provider is not compatible with this feature, which requires additional configuration for your project. Please configure your own OAuth provider in the dashboard at https://stytch.com/dashboard/oauth.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#default_provider_not_allowed"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## email\_not\_found

404 **Email not found**

There is not a user in this project associated with the supplied `email` or `email_id`.

Common Causes

<ul>
  <li>The user mistypes their email when trying to authenticate via an email-based method which does not fall back to creating a new user. This includes password, magic link (via `send`), and OTP (via `send`) authentication.</li>
</ul>

Troubleshooting

<ul>
  <li>Prompt the user to check their inputted email, and try again</li>
  <li>Consider using a `loginOrCreate` method if you would like new users to be able to authenticate</li>
</ul>

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "email_not_found",
  "error_message": "Email could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#email_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## email\_settings\_not\_found

404 **Email settings not found**

Email Settings could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "email_settings_not_found",
  "error_message": "Email Settings could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#email_settings_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## email\_template\_not\_found

404 **Email template not found**

Email Template could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "email_template_not_found",
  "error_message": "Email Template could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#email_template_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## event\_log\_streaming\_not\_found

404 **Event log streaming not found**

The event log streaming destination was not found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "event_log_streaming_not_found",
  "error_message": "The event log streaming destination was not found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#event_log_streaming_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## idp\_access\_token\_could\_not\_be\_exchanged

404 **Idp access token could not be exchanged**

The access token could not be exchanged.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "idp_access_token_could_not_be_exchanged",
  "error_message": "The access token could not be exchanged.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#idp_access_token_could_not_be_exchanged"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## idp\_access\_token\_not\_found

404 **Idp access token not found**

The access token could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "idp_access_token_not_found",
  "error_message": "The access token could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#idp_access_token_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## idp\_auth\_code\_not\_found

404 **Idp auth code not found**

The authorization code could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "idp_auth_code_not_found",
  "error_message": "The authorization code could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#idp_auth_code_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## idp\_refresh\_token\_not\_found

404 **Idp refresh token not found**

The refresh token could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "idp_refresh_token_not_found",
  "error_message": "The refresh token could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#idp_refresh_token_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## jwt\_template\_not\_found

404 **Jwt template not found**

JWT Template was not found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "jwt_template_not_found",
  "error_message": "JWT Template was not found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#jwt_template_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## magic\_link\_not\_found

404 **Magic link not found**

The magic link could not be authenticated, try sending another magic link to the user.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "magic_link_not_found",
  "error_message": "The magic link could not be authenticated, try sending another magic link to the user.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#magic_link_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## no\_captcha\_provider\_configured

404 **No captcha provider configured**

There's no Captcha Provider configured for this platform. Please configure the captcha config at [https://stytch.com/dashboard/captcha/recaptcha](https://stytch.com/dashboard/captcha/recaptcha).

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "no_captcha_provider_configured",
  "error_message": "There's no Captcha Provider configured for this platform. Please configure the captcha config at https://stytch.com/dashboard/captcha/recaptcha.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#no_captcha_provider_configured"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## oauth\_config\_not\_found

404 **Oauth config not found**

The OAuth config was not found. You can configure your OAuth providers in the dashboard at [https://stytch.com/dashboard/oauth](https://stytch.com/dashboard/oauth).

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "oauth_config_not_found",
  "error_message": "The OAuth config was not found. You can configure your OAuth providers in the dashboard at https://stytch.com/dashboard/oauth.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#oauth_config_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## oauth\_token\_not\_found

404 **Oauth token not found**

The OAuth token provided can not be found. This may be because the token never existed, or has already been used successfully.

Common Causes

<ul>
  <li>The web app is attempting to authenticate the `token` multiple times. In this case, the first attempt results in a successful response, but all following attempts result in this error.</li>
</ul>

Troubleshooting

<ul>
  <li>Review your code which grabs the `token` from the redirect URL query params and authenticates the token. Each token can only be authenticated once.</li>
</ul>

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "oauth_token_not_found",
  "error_message": "OAuth Token could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#oauth_token_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## oauth\_user\_registration\_not\_found

404 **Oauth user registration not found**

OAuth user registration could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "oauth_user_registration_not_found",
  "error_message": "OAuth user registration could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#oauth_user_registration_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## organization\_not\_found

404 **Organization not found**

Organization could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "organization_not_found",
  "error_message": "Organization could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#organization_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## organization\_user\_not\_found

404 **Organization user not found**

Organization User could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "organization_user_not_found",
  "error_message": "Organization User could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#organization_user_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## otp\_code\_not\_found

404 **Otp code not found**

The passcode provided was incorrect and could not be authenticated.

Common Causes

<ul>
  <li>The user is not providing the correct OTP code for their authentication attempt. They may have mistyped the value, or are referencing an old or unassociated OPT code.</li>
</ul>

Troubleshooting

<ul>
  <li>Ask the user to try again. Additionally, provide an option for the user to send a new code if they are unable to authenticate.</li>
</ul>

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "otp_code_not_found",
  "error_message": "The passcode was incorrect and could not be authenticated, encourage the user to try inputting the passcode again or send another passcode.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#otp_code_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## password\_not\_found

404 **Password not found**

The password could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "password_not_found",
  "error_message": "The password could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#password_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## phone\_number\_not\_found

404 **Phone number not found**

The provided phone number is not attached to an existing User.

Common Causes

<ul>
  <li>Calling a `/send` instead of a `login_or_create` endpoint for a new user; `/send` will only succeed given a phone number which is already attached to an existing User.</li>
</ul>

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "phone_number_not_found",
  "error_message": "Phone Number could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#phone_number_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## project\_not\_found

404 **Project not found**

Project could not be found.

Common Causes

<ul>
  <li>Working with multiple Stytch Projects can result in the `project_id` and `secret` getting mixed up.</li>
</ul>

Troubleshooting

<ul>
  <li>Confirm the `secret` and `project_id` are associated within the same project.</li>
</ul>

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "project_not_found",
  "error_message": "Project could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#project_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## project\_user\_not\_found

404 **Project user not found**

Project User could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "project_user_not_found",
  "error_message": "Project User could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#project_user_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## public\_token\_not\_found

404 **Public token not found**

public\_token could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "public_token_not_found",
  "error_message": "public_token could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#public_token_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## recovery\_codes\_not\_found

404 **Recovery codes not found**

Recovery codes could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "recovery_codes_not_found",
  "error_message": "Recovery codes could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#recovery_codes_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## redirect\_url\_not\_found

404 **Redirect url not found**

Redirect URL could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "redirect_url_not_found",
  "error_message": "Redirect URL could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#redirect_url_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## route\_not\_found

404 **Route not found**

The route provided is not supported.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "route_not_found",
  "error_message": "The route provided is not supported.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#route_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## route\_not\_supported\_in\_test

404 **Route not supported in test**

This route is not supported in the test environment. Please use api.stytch.com instead.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "route_not_supported_in_test",
  "error_message": "This route is not supported in the test environment. Please use api.stytch.com instead.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#route_not_supported_in_test"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## secret\_not\_found

404 **Secret not found**

Secret could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "secret_not_found",
  "error_message": "Secret could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#secret_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## session\_not\_found

404 **Session not found**

The session could not be found. It could be revoked, expired, or nonexistent.

Common Causes

<ul>
  <li>When a session expires or is revoked, Stytch will return a `session_not_found` error for an attempt to authenticate it.</li>
  <li>A user returns to a browser session after a long period of inactivity.</li>
  <li>A user is deleted and their session is automatically revoked.</li>
</ul>

Troubleshooting

<ul>
  <li>You can pull all of a user's active sessions using the [get sessions endpoint](https://stytch.com/docs/api/session-get.md).</li>
  <li>In most cases, a `session_not_found` error should prompt your app to re-authenticate the user; their session was either revoked, expired, or otherwise no longer exists. They'll need to generate a new session.</li>
</ul>

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "session_not_found",
  "error_message": "Session could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#session_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## sms\_template\_not\_found

404 **Sms template not found**

Unable to find the requested SMS template.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "sms_template_not_found",
  "error_message": "Unable to find the requested SMS template.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#sms_template_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## totp\_not\_found

404 **Totp not found**

The TOTP could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "totp_not_found",
  "error_message": "The TOTP could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#totp_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## totps\_not\_found\_for\_user

404 **Totps not found for user**

Unable to authenticate totp\_code since no active or pending TOTPs could be found for the user.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "totps_not_found_for_user",
  "error_message": "Unable to authenticate totp_code since no active or pending TOTPs could be found for the user.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#totps_not_found_for_user"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## trusted\_token\_profile\_not\_found

404 **Trusted token profile not found**

The trusted token profile could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "trusted_token_profile_not_found",
  "error_message": "The trusted token profile could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#trusted_token_profile_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## user\_not\_found

404 **User not found**

User could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "user_not_found",
  "error_message": "User could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#user_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***

## webauthn\_registration\_not\_found

404 **Webauthn registration not found**

The WebAuthn registration could not be found.

```js theme={null}
{
  "status_code": 404,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "webauthn_registration_not_found",
  "error_message": "The WebAuthn registration could not be found.",
  "error_url": "https://stytch.com/docs/api-reference/consumer/api/errors/404#webauthn_registration_not_found"
}
```

Need help?

> [card] [Send us an email](mailto:support@stytch.com)

> [card] [Contact us on slack](https://join.slack.com/t/stytch/shared_invite/zt-4cehhoyc1-NfCa_KH84yWx1reUbqIhYw)

***
